/*
 * Created with SharpDevelop.
 * User: Vincent
 * Date: 04/01/2005
 * Time: 18:38
 */
// one line to give the program's name and an idea of what it does.
// Copyright (C) yyyy  name of author
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
using System;
using System.Drawing;
using System.Windows.Forms;

namespace Client
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>
	public class ClientMainForm : Form
	{
		private ListBox Message;
		private Button SendB;
		private TextBox SendMessage;
		private Button ConnectB;
		
		ClientClass client;
		public static string ServerName;
		private Button CloseB;
		
		
		
		public ClientMainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			
			//
			// TODO: Add constructor code after the InitializeComponent() call.
			//
			
			this.client = new ClientClass(this.Message);
		}
		
		[STAThread]
		public static void Main(string[] args)
		{
			Application.Run(new ClientMainForm());
		}
		
		#region Windows Forms Designer generated code
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent() {
			this.ConnectB = new Button();
			this.SendMessage = new TextBox();
			this.SendB = new Button();
			this.Message = new ListBox();
			this.CloseB = new Button();
			this.SuspendLayout();
			// 
			// ConnectB
			// 
			this.ConnectB.FlatStyle = FlatStyle.System;
			this.ConnectB.Location = new Point(576, 10);
			this.ConnectB.Name = "ConnectB";
			this.ConnectB.Size = new Size(96, 40);
			this.ConnectB.TabIndex = 1;
			this.ConnectB.Text = "Se connecter  un serveur";
			this.ConnectB.Click += new EventHandler(this.ConnectBClick);
			// 
			// SendMessage
			// 
			this.SendMessage.Location = new Point(570, 74);
			this.SendMessage.Name = "SendMessage";
			this.SendMessage.Size = new Size(112, 20);
			this.SendMessage.TabIndex = 3;
			this.SendMessage.Text = "";
			// 
			// SendB
			// 
			this.SendB.FlatStyle = FlatStyle.System;
			this.SendB.Location = new Point(584, 106);
			this.SendB.Name = "SendB";
			this.SendB.TabIndex = 4;
			this.SendB.Text = "Envoyer";
			this.SendB.Click += new EventHandler(this.SendBClick);
			// 
			// Message
			// 
			this.Message.Location = new Point(8, 8);
			this.Message.Name = "Message";
			this.Message.Size = new Size(552, 238);
			this.Message.TabIndex = 0;
			// 
			// CloseB
			// 
			this.CloseB.FlatStyle = FlatStyle.System;
			this.CloseB.Location = new Point(584, 202);
			this.CloseB.Name = "CloseB";
			this.CloseB.Size = new Size(75, 40);
			this.CloseB.TabIndex = 2;
			this.CloseB.Text = "Fermer la connexion";
			this.CloseB.Click += new EventHandler(this.CloseBClick);
			// 
			// ClientMainForm
			// 
			this.AutoScaleBaseSize = new Size(5, 13);
			this.ClientSize = new Size(686, 266);
			this.Controls.Add(this.SendB);
			this.Controls.Add(this.SendMessage);
			this.Controls.Add(this.CloseB);
			this.Controls.Add(this.ConnectB);
			this.Controls.Add(this.Message);
			this.Name = "ClientMainForm";
			this.Text = "Client";
			this.Closed += new EventHandler(this.ClientMainForm_Closed);
			this.ResumeLayout(false);

		}
		#endregion

		void ConnectBClick(object sender, EventArgs e)
		{
			ServerNameForm snf = new ServerNameForm();
			snf.ShowDialog();
			try
			{
				this.client.ConnectToServer(ServerName);
			}
			catch(Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
		}
		
		
		void SendBClick(object sender, EventArgs e)
		{
			this.client.SendMessage(this.SendMessage.Text);
		}
		
		void CloseBClick(object sender, EventArgs e)
		{
			this.client.Close();
		}
		
		void Button1Click(object sender, EventArgs e)
		{
			this.client.ReceiveMessage();
		}

		private void ClientMainForm_Closed(object sender, EventArgs e)
		{
			this.client.Close();
		}
		
	}
}
