/*
 * Created with SharpDevelop.
 * User: Vincent
 * Date: 04/01/2005
 * Time: 17:45
 */
// one line to give the program's name and an idea of what it does.
// Copyright (C) yyyy  name of author
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
using System;
using System.Drawing;
using System.Windows.Forms;

namespace Server
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>
	public class ServerMainForm : Form
	{
		private ListBox Message;
		private TextBox SendMessage;
		private Button RunServer;
		private Button button1;
		
		
		private ServerClass server;
		private bool serverIsRunning = false;
		
		
		public ServerMainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			
			//
			// TODO: Add constructor code after the InitializeComponent() call.
			//
			this.server = new ServerClass(this.Message);
		}
		
		[STAThread]
		public static void Main(string[] args)
		{
			Application.Run(new ServerMainForm());
		}
		
		#region Windows Forms Designer generated code
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent() {
			this.button1 = new System.Windows.Forms.Button();
			this.RunServer = new System.Windows.Forms.Button();
			this.SendMessage = new System.Windows.Forms.TextBox();
			this.Message = new System.Windows.Forms.ListBox();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button1.Location = new System.Drawing.Point(672, 112);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(76, 23);
			this.button1.TabIndex = 4;
			this.button1.Text = "Envoyer";
			this.button1.Click += new System.EventHandler(this.Button1Click);
			// 
			// RunServer
			// 
			this.RunServer.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.RunServer.Location = new System.Drawing.Point(672, 8);
			this.RunServer.Name = "RunServer";
			this.RunServer.Size = new System.Drawing.Size(76, 48);
			this.RunServer.TabIndex = 1;
			this.RunServer.Text = "Lancer le serveur";
			this.RunServer.Click += new System.EventHandler(this.RunServerClick);
			// 
			// SendMessage
			// 
			this.SendMessage.Location = new System.Drawing.Point(648, 80);
			this.SendMessage.Name = "SendMessage";
			this.SendMessage.Size = new System.Drawing.Size(128, 20);
			this.SendMessage.TabIndex = 3;
			this.SendMessage.Text = "Message ici";
			// 
			// Message
			// 
			this.Message.Location = new System.Drawing.Point(8, 8);
			this.Message.Name = "Message";
			this.Message.Size = new System.Drawing.Size(626, 238);
			this.Message.TabIndex = 0;
			// 
			// ServerMainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(812, 266);
			this.Controls.Add(this.button1);
			this.Controls.Add(this.SendMessage);
			this.Controls.Add(this.RunServer);
			this.Controls.Add(this.Message);
			this.Name = "ServerMainForm";
			this.Text = "Serveur";
			this.Closed += new System.EventHandler(this.ServerMainForm_Closed);
			this.ResumeLayout(false);

		}
		#endregion

		void RunServerClick(object sender, EventArgs e)
		{
			if (! serverIsRunning)
			{
				this.server.RunServer();
				this.serverIsRunning = true;
				this.RunServer.Text = "Arrter le serveur";
			}
			else
			{
				this.server.CloseServer();
				this.serverIsRunning = false;
				this.RunServer.Text = "Lancer le serveur";
			}
		}
		
		void Button1Click(object sender, EventArgs e)
		{
			this.server.Send(this.SendMessage.Text);
		}
		

		private void ServerMainForm_Closed(object sender, EventArgs e)
		{
			if (this.serverIsRunning)
				this.server.CloseServer();
		}
	}
}
